SessionDetailsDialog

com.j0h1.contour

## Class SessionDetailsDialog

- java.lang.Object
- - Dialog
  - - com.j0h1.contour.SessionDetailsDialog

-     public class SessionDetailsDialog
      extends Dialog

  Dialog that contains additional information for a specific drawing session.
  Author:
    Johannes Riedmann

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Context` | `context`
    `private java.lang.String` | `language`
    `private Session` | `session`
    `private Toast` | `toast`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionDetailsDialog(Context context, Session session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `populateImageList(java.util.ArrayList<ImagePojo> images)` Populates the ExpandableListView with the image metadata requested previously.
    `private void` | `prepareToast(java.lang.String message)`
    `private void` | `requestImageData(Session session, ImagePojo image, int type)` Request image data for a specific image, in a specific session or a given type.
    `private void` | `requestImagesOfSession()` Requests the metadata for the images persisted for the current session.
    `private void` | `setUpDialog()` Defines the resources/inflates layout of the SessionDetailsView

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          private Session session

    - #### language

          private java.lang.String language

    - #### toast

          private Toast toast

    - #### context

          private Context context

  - ### Constructor Detail

    - #### SessionDetailsDialog

          public SessionDetailsDialog(Context context,
                                      Session session)

  - ### Method Detail

    - #### setUpDialog

          private void setUpDialog()

      Defines the resources/inflates layout of the SessionDetailsView

    - #### requestImagesOfSession

          private void requestImagesOfSession()

      Requests the metadata for the images persisted for the current session.

    - #### populateImageList

          private void populateImageList(java.util.ArrayList<ImagePojo> images)

      Populates the ExpandableListView with the image metadata requested previously.
      Parameters:
        `images` - Images retrieved from the previous request.

    - #### requestImageData

          private void requestImageData(Session session,
                                        ImagePojo image,
                                        int type)

      Request image data for a specific image, in a specific session or a given type.
      Parameters:
        `session` - The session the image was drawn in.
        `image` - The desired image.
        `type` - Defines the type of image the user requests 0 = original image; 1 = edge image; 2 = drawing; 3 = score image

    - #### prepareToast

          private void prepareToast(java.lang.String message)